Skip to Content
BusinessChecksSent Checks

List Checks

GET
/v0/business/{business_id}/checks

Scopes: check:read

Authorization

OAuth2ClientCredentialsBearer check:read
headerAuthorizationBearer <token>

Scope: check:read

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string

Query Parameters

external_account_id?|

Filter checks by the bank account they were drawn on

vendor_id?|

Filter checks by vendor

issued_at_start?|

Include checks issued on or after this date in ISO-8601 format

issued_at_end?|

Include checks issued before this date in ISO-8601 format

status?|array<string>|

Filter checks by one or more statuses, comma-separated

page_token?|null
page_size?Page Size
Range1 <= value <= 100
Default100

Response Body

Successful Response

application/json
  1. response
data*array<>
pagination*
Example Request
curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/checks'
Example Response
{  "data": [    {      "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",      "external_account_id": "eac_ApaM9xeQtNyVk5qpaHJbNj",      "payee": "ABC Plumbing",      "vendor_id": "ven_WQMDNUHpBThYSNh4AprDBo",      "amount": 500,      "currency": "USD",      "check_number": "1042",      "issued_at": "2019-08-24T14:15:22Z",      "memo": "Invoice 2231",      "voided_at": "2019-08-24T14:15:22Z",      "created_by": "string",      "id": "chk_WQMDNUHpBThYSNh4AprDBo",      "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",      "void_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",      "cleared_at": "2019-08-24T14:15:22Z",      "status": "issued"    }  ],  "pagination": {    "next_page_token": "string",    "previous_page_token": "string"  }}